Subject: Re: [PATCH net-next v3] net: netconsole: selftests: Create a new netconsole selftest

From: Breno Leitao <[email-masked]>
Date: Fri, 16 Aug 2024 06:01:14 -0700

Hello Matthieu,

On Thu, Aug 15, 2024 at 12:47:22PM +0200, Matthieu Baerts wrote:
> On 15/08/2024 11:51, Breno Leitao wrote:
> > Adds a selftest that creates two virtual interfaces, assigns one to a
> > new namespace, and assigns IP addresses to both.
> > 
> > It listens on the destination interface using socat and configures a
> > dynamic target on netconsole, pointing to the destination IP address.
> > 
> > The test then checks if the message was received properly on the
> > destination interface.
> > 
> > Signed-off-by: Breno Leitao <[email-masked]>
> > ---
> > Changelog:
> > 
> > v3:
> >  * Defined CONFIGs in config file (Jakub)
> >  * Identention fixes (Petr Machata)
> >  * Use setup_ns in a better way (Matthieu Baerts)
> >  * Add dependencies in TEST_INCLUDES (Hangbin Liu)
> 
> Thank you for the v3!
> 
> I only looked here at how 'setup_ns' was used, (and a few other
> Bash-related stuff), but not at the test itself.
> 
> I have a few comments, but I don't consider them as blocking if you
> prefer to continue with the current version.

Thanks. I've adjusted all the suggestions you gave me, let me send a v4
and we can continue from there.

Thanks for the in-depth review.
--breno